import { AfterContentChecked, AfterViewInit, ChangeDetectorRef, ElementRef, OnChanges } from '@angular/core';
import { UnitSpaceType } from '../channel-value/channel-value.component';
import * as i0 from "@angular/core";
/**
 * [Hero Component](https://brightlayer-ui-components.github.io/angular/?path=/info/components-hero--readme)
 *
 * The `<blui-hero>` components are used to call attention to particular values that are of the most importance to the user.
 * These are typically displayed in a banner.
 */
export declare class HeroComponent implements OnChanges, AfterViewInit, AfterContentChecked {
    private readonly _ref;
    /** Color of the hero icon */
    color: string;
    /** Color of the hero background */
    iconBackgroundColor: string;
    /** The size of the primary icon (10-48) */
    iconSize: number;
    /** The text shown below the Channel Value */
    label: string;
    /** Transforms an SVG icon based on the provided `iconSize` */
    scaleSvgIcon: boolean;
    /** Text to show after the value */
    units: string;
    /** The value for the channel */
    value: string;
    /** Show a space between the value and units for the channel, default is `auto` */
    unitSpace: UnitSpaceType;
    primaryContainer: ElementRef;
    iSize: number;
    iconString: string;
    hasMatSvgIcon: boolean;
    constructor(_ref: ChangeDetectorRef);
    ngOnChanges(): void;
    ngAfterViewInit(): void;
    ngAfterContentChecked(): void;
    scaleSvgIconOnChanges(): void;
    getMatSvgIcon(): HTMLElement;
    static ɵfac: i0.ɵɵFactoryDeclaration<HeroComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<HeroComponent, "blui-hero", never, { "color": "color"; "iconBackgroundColor": "iconBackgroundColor"; "iconSize": "iconSize"; "label": "label"; "scaleSvgIcon": "scaleSvgIcon"; "units": "units"; "value": "value"; "unitSpace": "unitSpace"; }, {}, never, ["[blui-primary]", "blui-channel-value", "[blui-secondary]"], false>;
}
